%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"] ')}

Summary: Web Services for Management
Name: openwsman
Version: 2.1.0
Release: 1%{?dist}
URL: http://www.openwsman.org
Group: System Environment/Application
License: BSD
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: sblim-sfcc-devel curl-devel libxml2-devel pkgconfig pam-devel openssl-devel swig python python-devel ruby ruby-devel
Requires: sblim-sfcc
Requires(post): chkconfig
Requires(preun): chkconfig initscripts
Source0: %{name}-%{version}.tar.bz2
Source1: openwsmand.init
Source2: simple_auth.passwd
Patch1:  openwsman-2.1.0-config.patch
%description
Openwsman is a application-level software package and no impact on 
other OS components. With openwsman software, we can talk to the AMT 
hardware of other computers then management those computers.

%prep
%setup -q
%patch1 -p0

%build
%configure --with-examples=yes --with-tests=no --enable-python=yes --enable-ruby=yes --enable-eventing=no --disable-more-warnings
make %{?_smp_flags}

%install
mkdir -p $RPM_BUILD_ROOT/usr/
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0644 etc/openwsman.conf $RPM_BUILD_ROOT/etc/openwsman
install -m 0644 etc/ssleay.cnf $RPM_BUILD_ROOT/etc/openwsman
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/openwsmand
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/openwsman

%post
/sbin/ldconfig
/sbin/chkconfig --add openwsmand

%preun
if [ $1 = 0 ] ; then
	/sbin/service openwsmand stop >/dev/null 2>&1
	/sbin/chkconfig --del openwsmand
fi

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc COPYING README examples/serialize.c doc/plugin*
%{_sbindir}/%{name}d
%{_initrddir}/%{name}d
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/authenticators
%{_libdir}/libwsman*.so.*
%{_libdir}/%{name}/plugins/*so.*
%{_libdir}/%{name}/authenticators/*so.*
%dir /etc/openwsman
%config(noreplace) /etc/openwsman/openwsman.conf
%config(noreplace) /etc/openwsman/ssleay.cnf
/etc/openwsman/owsmangencert.sh
/etc/openwsman/simple_auth.passwd
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}/plugins/*so
%{_libdir}/%{name}/authenticators/*so
%{_libdir}/pkgconfig/%{name}*.pc
%{python_sitelib}/pywsman.py
%{python_sitelib}/*.so
%{ruby_sitearch}/*.so

%changelog
* Fri Apr 24 2009 Hua Jie <jie.hua@asianux.com> 2.1.0-1%{?dist}
- update to 2.1.0 and build for AXS3SP2 (AXBug #6200)
- provide default password file (source2)
- modify configuration file to use BASIC authentication only (patch1)

* Fri May 11 2007 Hua Jie <jiehua@redflag-linux.com> 1.0.1-1AX
- create this package for Asianux
